---
lang: en
title: 'API docs: socketio.socketioserveroptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioserveroptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoServerOptions](./socketio.socketioserveroptions.md)

## SocketIoServerOptions interface

**Signature:**

```typescript
export interface SocketIoServerOptions 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[httpServerOptions?](./socketio.socketioserveroptions.httpserveroptions.md)


</td><td>


</td><td>

[HttpServerResolvedOptions](./socketio.httpserverresolvedoptions.md)


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[socketIoOptions?](./socketio.socketioserveroptions.socketiooptions.md)


</td><td>


</td><td>

ServerOptions


</td><td>

_(Optional)_


</td></tr>
</tbody></table>


